/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2013-2023 Chaosdorf e.V.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package de.chaosdorf.meteroid.sample

import androidx.compose.ui.tooling.preview.PreviewParameterProvider
import de.chaosdorf.mete.DrinkId
import de.chaosdorf.meteroid.model.Drink
import de.chaosdorf.meteroid.model.ServerId
import kotlinx.datetime.Instant

class SampleDrinkProvider : PreviewParameterProvider<Drink> {
  override val values = sequenceOf(
      Drink(
          serverId = ServerId(-1),
          drinkId = DrinkId(27),
          active = true,
          name = "Club Mate",
          volume = 0.5,
          caffeine = null,
          price = 1.5,
          createdAt = Instant.fromEpochMilliseconds(1684598011800),
          updatedAt = Instant.fromEpochMilliseconds(1684607122132),
          logoUrl = "http://192.168.188.36:8080/system/drinks/logos/000/000/027/thumb/logo.png",
          logoFileName = "logo.png",
          logoContentType = "image/png",
          logoFileSize = 183063,
          logoUpdatedAt = Instant.fromEpochMilliseconds(1684607121995)
      ),
      Drink(
          serverId = ServerId(-1),
          drinkId = DrinkId(15),
          active = false,
          name = "Paulaner Spezi",
          volume = 0.5,
          caffeine = null,
          price = 1.5,
          createdAt = Instant.fromEpochMilliseconds(1684597806099),
          updatedAt = Instant.fromEpochMilliseconds(1684607346944),
          logoUrl = "http://192.168.188.36:8080/system/drinks/logos/000/000/015/thumb/logo.png",
          logoFileName = "logo.png",
          logoContentType = "image/png",
          logoFileSize = 173265,
          logoUpdatedAt = Instant.fromEpochMilliseconds(1684607346835)
      )
  )
}
